.modal {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  display: none;
  align-items: center;
  justify-content: center;
  position: fixed;

  > .modal-content {
    width: 500px;
    padding: 20px;
    min-height: 100px;
    position: relative;
    border-radius: 3px;
    background-color: #fff;
    border: 1px solid #f2f6f7;
    max-height: 80%;
    overflow-y: auto;
  }

  .close {
    top: 15px;
    right: 25px;
    cursor: pointer;
    position: absolute;
    font-weight: normal;
  }

  &.active {
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
  }
}

.modal-backdrop {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 5;
  display: none;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);

  &.active {
    display: block;
  }
}
